## WebKitDOMHTMLIFrameElement WebKitDOMHTMLIFrameElement |

## Functions

gchar * | webkit_dom_html_iframe_element_get_align ()
void | webkit_dom_html_iframe_element_set_align ()
gchar * | webkit_dom_html_iframe_element_get_frame_border ()
void | webkit_dom_html_iframe_element_set_frame_border ()
gchar * | webkit_dom_html_iframe_element_get_height ()
void | webkit_dom_html_iframe_element_set_height ()
gchar * | webkit_dom_html_iframe_element_get_long_desc ()
void | webkit_dom_html_iframe_element_set_long_desc ()
gchar * | webkit_dom_html_iframe_element_get_margin_height ()
void | webkit_dom_html_iframe_element_set_margin_height ()
gchar * | webkit_dom_html_iframe_element_get_margin_width ()
void | webkit_dom_html_iframe_element_set_margin_width ()
gchar * | webkit_dom_html_iframe_element_get_name ()
void | webkit_dom_html_iframe_element_set_name ()
gchar * | webkit_dom_html_iframe_element_get_sandbox ()
void | webkit_dom_html_iframe_element_set_sandbox ()
gboolean | webkit_dom_html_iframe_element_get_seamless ()
void | webkit_dom_html_iframe_element_set_seamless ()
gchar * | webkit_dom_html_iframe_element_get_scrolling ()
void | webkit_dom_html_iframe_element_set_scrolling ()
gchar * | webkit_dom_html_iframe_element_get_src ()
void | webkit_dom_html_iframe_element_set_src ()
gchar * | webkit_dom_html_iframe_element_get_srcdoc ()
void | webkit_dom_html_iframe_element_set_srcdoc ()
gchar * | webkit_dom_html_iframe_element_get_width ()
void | webkit_dom_html_iframe_element_set_width ()
WebKitDOMDocument * | webkit_dom_html_iframe_element_get_content_document ()
WebKitDOMDOMWindow * | webkit_dom_html_iframe_element_get_content_window ()

## Properties

gchar * | align | Read / Write
WebKitDOMDocument * | content-document | Read
WebKitDOMDOMWindow * | content-window | Read
gchar * | frame-border | Read / Write
gchar * | height | Read / Write
gchar * | long-desc | Read / Write
gchar * | margin-height | Read / Write
gchar * | margin-width | Read / Write
gchar * | name | Read / Write
gchar * | sandbox | Read / Write
gchar * | scrolling | Read / Write
gboolean | seamless | Read / Write
gchar * | src | Read / Write
gchar * | srcdoc | Read / Write
gchar * | width | Read / Write

## Types and Values

| WebKitDOMHTMLIFrameElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLIFrameElement

## Implemented Interfaces

WebKitDOMHTMLIFrameElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_iframe_element_get_align ()

    gchar *
    webkit_dom_html_iframe_element_get_align
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_align ()

    void
    webkit_dom_html_iframe_element_set_align
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_frame_border ()

    gchar *
    webkit_dom_html_iframe_element_get_frame_border
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_frame_border ()

    void
    webkit_dom_html_iframe_element_set_frame_border
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_height ()

    gchar *
    webkit_dom_html_iframe_element_get_height
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_height ()

    void
    webkit_dom_html_iframe_element_set_height
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_long_desc ()

    gchar *
    webkit_dom_html_iframe_element_get_long_desc
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_long_desc ()

    void
    webkit_dom_html_iframe_element_set_long_desc
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_margin_height ()

    gchar *
    webkit_dom_html_iframe_element_get_margin_height
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_margin_height ()

    void
    webkit_dom_html_iframe_element_set_margin_height
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_margin_width ()

    gchar *
    webkit_dom_html_iframe_element_get_margin_width
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_margin_width ()

    void
    webkit_dom_html_iframe_element_set_margin_width
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_name ()

    gchar *
    webkit_dom_html_iframe_element_get_name
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_name ()

    void
    webkit_dom_html_iframe_element_set_name
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_sandbox ()

    gchar *
    webkit_dom_html_iframe_element_get_sandbox
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_sandbox ()

    void
    webkit_dom_html_iframe_element_set_sandbox
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_seamless ()

    gboolean
    webkit_dom_html_iframe_element_get_seamless
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gboolean

### webkit_dom_html_iframe_element_set_seamless ()

    void
    webkit_dom_html_iframe_element_set_seamless
                                   (WebKitDOMHTMLIFrameElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gboolean |

### webkit_dom_html_iframe_element_get_scrolling ()

    gchar *
    webkit_dom_html_iframe_element_get_scrolling
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_scrolling ()

    void
    webkit_dom_html_iframe_element_set_scrolling
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_src ()

    gchar *
    webkit_dom_html_iframe_element_get_src
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_src ()

    void
    webkit_dom_html_iframe_element_set_src
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_srcdoc ()

    gchar *
    webkit_dom_html_iframe_element_get_srcdoc
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_srcdoc ()

    void
    webkit_dom_html_iframe_element_set_srcdoc
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_width ()

    gchar *
    webkit_dom_html_iframe_element_get_width
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A gchar

### webkit_dom_html_iframe_element_set_width ()

    void
    webkit_dom_html_iframe_element_set_width
                                   (WebKitDOMHTMLIFrameElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |
value | A gchar |

### webkit_dom_html_iframe_element_get_content_document ()

    WebKitDOMDocument *
    webkit_dom_html_iframe_element_get_content_document
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_html_iframe_element_get_content_window ()

    WebKitDOMDOMWindow *
    webkit_dom_html_iframe_element_get_content_window
                                   (WebKitDOMHTMLIFrameElement *self);

#### Parameters

self | A WebKitDOMHTMLIFrameElement |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

## Types and Values

### WebKitDOMHTMLIFrameElement

    typedef struct _WebKitDOMHTMLIFrameElement WebKitDOMHTMLIFrameElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLIFrameElement:align.

Flags: Read / Write

Default value: ""

### The `“content-document”` property

      “content-document”         WebKitDOMDocument *

read-only WebKitDOMDocument* HTMLIFrameElement:content-document.

Flags: Read

### The `“content-window”` property

      “content-window”           WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* HTMLIFrameElement:content-window.

Flags: Read

### The `“frame-border”` property

      “frame-border”             gchar *

read-write gchar* HTMLIFrameElement:frame-border.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   gchar *

read-write gchar* HTMLIFrameElement:height.

Flags: Read / Write

Default value: ""

### The `“long-desc”` property

      “long-desc”                gchar *

read-write gchar* HTMLIFrameElement:long-desc.

Flags: Read / Write

Default value: ""

### The `“margin-height”` property

      “margin-height”            gchar *

read-write gchar* HTMLIFrameElement:margin-height.

Flags: Read / Write

Default value: ""

### The `“margin-width”` property

      “margin-width”             gchar *

read-write gchar* HTMLIFrameElement:margin-width.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLIFrameElement:name.

Flags: Read / Write

Default value: ""

### The `“sandbox”` property

      “sandbox”                  gchar *

read-write gchar* HTMLIFrameElement:sandbox.

Flags: Read / Write

Default value: ""

### The `“scrolling”` property

      “scrolling”                gchar *

read-write gchar* HTMLIFrameElement:scrolling.

Flags: Read / Write

Default value: ""

### The `“seamless”` property

      “seamless”                 gboolean

read-write gboolean HTMLIFrameElement:seamless.

Flags: Read / Write

Default value: FALSE

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLIFrameElement:src.

Flags: Read / Write

Default value: ""

### The `“srcdoc”` property

      “srcdoc”                   gchar *

read-write gchar* HTMLIFrameElement:srcdoc.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLIFrameElement:width.

Flags: Read / Write

Default value: ""